LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Requests for -current (14.2-->15.0) (https://www.linuxquestions.org/questions/slackware-14/requests-for-current-14-2-15-0-a-4175620463/)

Ne01eX 03-09-2018 02:52 PM

Quote:

Originally Posted by Alien Bob (Post 5828970)
This version of K3b requires KDE Frameworks 5 and Plasma 5, so you're not going to see this until Slackware-current replaces its KDE4 packages with Plasma5.

Ok. :-)

kjhambrick 03-09-2018 03:01 PM

Quote:

Originally Posted by mats_b_tegner (Post 5828982)
Has anyone been able to build LLVM/Clang 6.0.0? The disable PGO patch fails for me. Is it still needed?

Matts --

I was able to build llvm version 6.0.0 by pounding-out the patch line in the llvm.SlackBuild.

I made three attempts, trying different settings for the patch and DBUILD_SHARED_LIBS=ON in the cmake command line ...

I left out the patch AND the -DBUILD_SHARED_LIBS=ON directive on the final attempt which compiled ( diff is below ).

I've not tested it yet but will do so this weekend.

HTH.

-- kjh
Code:

# diff -Naur llvm~01.SlackBuild llvm.SlackBuild

--- llvm~01.SlackBuild  2017-12-20 21:06:54.000000000 -0600
+++ llvm.SlackBuild    2018-03-09 08:32:46.999751416 -0600
@@ -107,7 +107,12 @@
 
 # disable value profiling until https://llvm.org/bugs/show_bug.cgi?id=30587
 # is fixed.
-zcat $CWD/clang_disable_pgo.patch.gz | patch -d tools/clang/ -p1 --verbose || exit 1
+#
+# kjh  pounded this
+# kjh unpounded this
+# kjh  pounded this
+echo "skip the clang_disable_pgo.patch.gz ..."  # kjh added this for the log
+# zcat $CWD/clang_disable_pgo.patch.gz | patch -d tools/clang/ -p1 --verbose || exit 1
 
 # need to disable assertions to make llvm thread-safe
 # clang resource dir is a relative path based on the location of the clang binary
@@ -131,6 +136,9 @@
    -DCLANG_RESOURCE_DIR="../lib${LIBDIRSUFFIX}/clang/${VERSION}" \
    .. || exit 1
 
+  # kjh put  this back ...
+  # kjh took this out  ...
+  #
  # breaks with one of the patches above. Maybe revisit later
  # -DBUILD_SHARED_LIBS=ON \

This is the new content of llvm.url ( note that I added the .sig files so I could import the gpg key and check the files ):

Code:

http://releases.llvm.org/6.0.0/llvm-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/llvm-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/cfe-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/cfe-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/compiler-rt-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/compiler-rt-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libcxx-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libcxx-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libcxxabi-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libcxxabi-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libunwind-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libunwind-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/lld-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/lld-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/lldb-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/lldb-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/openmp-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/openmp-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/polly-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/polly-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/clang-tools-extra-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/clang-tools-extra-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/test-suite-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/test-suite-6.0.0.src.tar.xz.sig

This is the head && tail of my llvm.SlackBuild.log file:

Code:

# head -5 llvm.SlackBuild-6.0.0.log && echo -e "\n--------------------<<snip>>------------------\n" && tail -5 llvm.SlackBuild-6.0.0.log
llvm.SlackBuild startup  at Fri Mar  9 08:32:48 CST 2018
llvm-6.0.0.src/
llvm-6.0.0.src/include/
llvm-6.0.0.src/include/llvm/
llvm-6.0.0.src/include/llvm/ObjectYAML/

--------------------<<snip>>------------------

WARNING:  zero length file usr/include/llvm/Support/VCSRevision.h

Slackware package /tmp/llvm-6.0.0-x86_64-1.txz created.

llvm.SlackBuild complete at Fri Mar  9 10:32:31 CST 2018 ... RetCode = 0


Didier Spaier 03-09-2018 03:30 PM

Quote:

Originally Posted by iNC0GNi70 (Post 5829135)
By the way, I know you from the French Slackware Forums ;).

Then I should say "Bonsoir, Incognito", I guess ;)

Ne01eX 03-09-2018 03:32 PM

Kernel 4.14.25 has been released! tar.xz ChangeLog inc.patch.

It can also be interesting: Reiser4 patch for Linux 4.14.x. + libaal-1.0.7.tar.gz + reiser4progs-1.2.1.tar.gz. :-)

My SlackBuild for libaal:

Code:

#!/bin/sh

# Slackware build script for libaal

# Written by Kurt Erickson <kurt_erickson@att.net>
# Modified by Aleksandr "Ne01eX" Sayfulin, Ural, Russian Federation.

# Set SPLIT variable to "yes" for building a separate package for documentation.
# Otherwise, use "no"
SPLIT="yes"

PKGNAM=libaal
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-rtk01}
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}

# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
  case "$(uname -m)" in
    i?86) ARCH=i586 ;;
    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
    # Unless $ARCH is already set, use uname -m for all other archs:
    *) ARCH=$(uname -m) ;;
  esac
  export ARCH
fi

if [ "$ARCH" = "i486" ]; then
  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
  SLKCFLAGS="-O2 -march=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
  SLKCFLAGS="-O2"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
  SLKCFLAGS="-O2 -fPIC"
  LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
  LIBDIRSUFFIX=""
else
  SLKCFLAGS="-O2"
  LIBDIRSUFFIX=""
fi


set -e

if [ ! -d "$TMP" ]; then
    mkdir -p $TMP
fi

if [ ! -d "$OUTPUT" ]; then
    mkdir -p $OUTPUT
fi

rm -rf $PKG
mkdir -p $PKG

cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION

chown -R root:root .
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --sysconfdir=/etc \
  --localstatedir=/var \
  --mandir=/usr/man \
  --build=$ARCH-slackware-linux || exit 1

make || exit 1
make install DESTDIR=$PKG || exit 1

find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true

mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
  AUTHORS BUGS COPYING CREDITS ChangeLog INSTALL README THANKS TODO \
  $PKG/usr/doc/$PKGNAM-$VERSION

# Begin split section
if [ $SPLIT = "yes" ]; then

PKGDOC=${PKGNAM}-doc
rm -rf $TMP/package-${PKGDOC}
mkdir -p $TMP/package-${PKGDOC}/install

function add_empty_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}:
EOF
}
function add_doc_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: all core documents from /usr/doc/${PKGNAM}-${VERSION};
EOF
}
function add_info_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: info pages. See: /usr/info/*;
EOF
}
function add_gtkdoc_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: extra documents such as /usr/share/gtk-doc/${PKGNAM};
EOF
}
function add_devhelp_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: and .devhelp book such as /usr/share/devhelp/${PKGNAM}.
EOF
}

cat << EOF > $TMP/package-${PKGDOC}/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
# You must make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':' except on otherwise blank lines.

        |-----handy-ruler------------------------------------------------------|
${PKGDOC}: Extra documentation for ${PKGNAM} package.
${PKGDOC}:
${PKGDOC}: There is package contain documentation files for ${PKGNAM}:
EOF

for DOCDIR in doc info gtk-doc devhelp; do
    case $DOCDIR in
        'doc' )
        if [ -d $PKG/usr/$DOCDIR ]; then
            echo -n "Moving core documents..."
            ( cd $PKG/usr
              mkdir -p $TMP/package-$PKGDOC/usr
              mv $DOCDIR $TMP/package-$PKGDOC/usr
            )
            add_doc_line
            echo " [Done.]"
        else
            echo " Core documents not found!"
            add_empty_line
        fi
        ;;
        'info' )
        if [ -d $PKG/usr/$DOCDIR ]; then
            echo -n "Moving info pages..."
            ( cd $PKG/usr
              mkdir -p $TMP/package-$PKGDOC/usr
              mv $DOCDIR $TMP/package-$PKGDOC/usr
            )
            add_info_line
            echo " [Done.]"
        else
            echo " Info pages not found!"
            add_empty_line
        fi
        ;;
        'gtk-doc' )
        if [ -d $PKG/usr/share/$DOCDIR ]; then
            echo -n "Moving extra documents (such as gtk-doc)..."
            ( cd $PKG/usr/share
              mkdir -p $TMP/package-$PKGDOC/usr/share
              mv $DOCDIR $TMP/package-$PKGDOC/usr/share
            )
            add_gtkdoc_line
            echo " [Done.]"
        else
            echo " Extra documents (such as gtk-doc) not found!"
            add_empty_line
        fi
        ;;
        'devhelp' )
        if [ -d $PKG/usr/share/$DOCDIR ]; then
            echo -n "Moving .devhelp book(s)..."
            ( cd $PKG/usr/share
              mkdir -p $TMP/package-$PKGDOC/usr/share
              mv $DOCDIR $TMP/package-$PKGDOC/usr/share
            )
            add_devhelp_line
            echo " [Done.]"
        else
            echo " .devhelp book(s) not found!"
            add_empty_line
        fi
        ;;
    esac
done

for LINE in 1 2 3 4; do
    add_empty_line
done

cd $TMP/package-$PKGDOC
/sbin/makepkg -l y -c n $OUTPUT/$PKGDOC-$VERSION-noarch-$BUILD.${PKGTYPE:-txz}

# Cleanup if enabled
if [ "$1" = "--cleanup" ]; then
    rm -rf $TMP/package-$PKGDOC
fi

fi # End split section

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
if [ -x "/usr/bin/requiredbuilder" ]; then
    /usr/bin/requiredbuilder -z $PKG > $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.dep
    if [ -f $PKG/install/slack-required ]; then
        rm -f $PKG/install/slack-required
    fi
    /usr/bin/requiredbuilder -v -y $PKG
fi

cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.${PKGTYPE:-txz}

# Cleanup if enabled
if [ "$1" = "--cleanup" ]; then
    rm -rf $TMP/$PKGNAM-$VERSION
    rm -rf $PKG
fi

My SlackBuild for reiser4progs:

Code:

#!/bin/sh

# Slackware build script for reiser4progs
# Written by Kurt Erickson <kurt_erickson@att.net>
# Modified by Aleksandr "Ne01eX" Sayfulin, Ural, Russian Federation

# Set SPLIT variable to "yes" for building a separate package for documentation.
# Otherwise, use "no"
SPLIT="yes"

PKGNAM=reiser4progs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-rtk01}
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
OUTPUT=${OUTPUT:-/tmp}

# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
  case "$(uname -m)" in
    i?86) ARCH=i586 ;;
    arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
    # Unless $ARCH is already set, use uname -m for all other archs:
    *) ARCH=$(uname -m) ;;
  esac
  export ARCH
fi

if [ "$ARCH" = "i486" ]; then
  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
  SLKCFLAGS="-O2 -march=i686"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
  SLKCFLAGS="-O2"
  LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
  SLKCFLAGS="-O2 -fPIC"
  LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
  SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
  LIBDIRSUFFIX=""
else
  SLKCFLAGS="-O2"
  LIBDIRSUFFIX=""
fi

set -e

if [ ! -d "$TMP" ]; then
    mkdir -p $TMP
fi
if [ ! -d "$OUTPUT" ]; then
    mkdir -p $OUTPUT
fi

rm -rf $PKG
mkdir -p $PKG

cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION

chown -R root:root .
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;

# fix typo in a makefile.am that trips up more recent automake
#patch -p0 < $CWD/fix_typo.patch

# reiser4progs ships with older, incompatible libtools
#libtoolize --force --copy
#aclocal && autoheader && autoconf && automake --add-missing

CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --sysconfdir=/etc \
  --localstatedir=/var \
  --mandir=/usr/man \
  --docdir=/usr/doc/$PKGNAM-$VERSION \
  --with-libaal=/usr/lib${LIBDIRSUFFIX} \
  --build=$ARCH-slackware-linux || exit 1

#  --enable-libminimal \

make || exit 1
make install DESTDIR=$PKG || exit 1

find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true

find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
  AUTHORS BUGS COPYING CREDITS CUSTOM_INSTALL_README ChangeLog \
  INSTALL INSTALL_README README THANKS TODO \
  $PKG/usr/doc/$PKGNAM-$VERSION

# Begin split section
if [ $SPLIT = "yes" ]; then

PKGDOC=${PKGNAM}-doc
rm -rf $TMP/package-${PKGDOC}
mkdir -p $TMP/package-${PKGDOC}/install

function add_empty_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}:
EOF
}
function add_doc_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: all core documents from /usr/doc/${PKGNAM}-${VERSION};
EOF
}
function add_info_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: info pages. See: /usr/info/*;
EOF
}
function add_gtkdoc_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: extra documents such as /usr/share/gtk-doc/${PKGNAM};
EOF
}
function add_devhelp_line {
cat << EOF >> $TMP/package-${PKGDOC}/install/slack-desc
${PKGDOC}: and .devhelp book such as /usr/share/devhelp/${PKGNAM}.
EOF
}

cat << EOF > $TMP/package-${PKGDOC}/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
# You must make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':' except on otherwise blank lines.

        |-----handy-ruler------------------------------------------------------|
${PKGDOC}: Extra documentation for ${PKGNAM} package.
${PKGDOC}:
${PKGDOC}: There is package contain documentation files for ${PKGNAM}:
EOF

for DOCDIR in doc info gtk-doc devhelp; do
    case $DOCDIR in
        'doc' )
        if [ -d $PKG/usr/$DOCDIR ]; then
            echo -n "Moving core documents..."
            ( cd $PKG/usr
              mkdir -p $TMP/package-$PKGDOC/usr
              mv $DOCDIR $TMP/package-$PKGDOC/usr
            )
            add_doc_line
            echo " [Done.]"
        else
            echo " Core documents not found!"
            add_empty_line
        fi
        ;;
        'info' )
        if [ -d $PKG/usr/$DOCDIR ]; then
            echo -n "Moving info pages..."
            ( cd $PKG/usr
              mkdir -p $TMP/package-$PKGDOC/usr
              mv $DOCDIR $TMP/package-$PKGDOC/usr
            )
            add_info_line
            echo " [Done.]"
        else
            echo " Info pages not found!"
            add_empty_line
        fi
        ;;
        'gtk-doc' )
        if [ -d $PKG/usr/share/$DOCDIR ]; then
            echo -n "Moving extra documents (such as gtk-doc)..."
            ( cd $PKG/usr/share
              mkdir -p $TMP/package-$PKGDOC/usr/share
              mv $DOCDIR $TMP/package-$PKGDOC/usr/share
            )
            add_gtkdoc_line
            echo " [Done.]"
        else
            echo " Extra documents (such as gtk-doc) not found!"
            add_empty_line
        fi
        ;;
        'devhelp' )
        if [ -d $PKG/usr/share/$DOCDIR ]; then
            echo -n "Moving .devhelp book(s)..."
            ( cd $PKG/usr/share
              mkdir -p $TMP/package-$PKGDOC/usr/share
              mv $DOCDIR $TMP/package-$PKGDOC/usr/share
            )
            add_devhelp_line
            echo " [Done.]"
        else
            echo " .devhelp book(s) not found!"
            add_empty_line
        fi
        ;;
    esac
done

for LINE in 1 2 3 4; do
    add_empty_line
done

cd $TMP/package-$PKGDOC
/sbin/makepkg -l y -c n $OUTPUT/$PKGDOC-$VERSION-noarch-$BUILD.${PKGTYPE:-txz}

# Cleanup if enabled
if [ "$1" = "--cleanup" ]; then
    rm -rf $TMP/package-$PKGDOC
fi

fi # End split section

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
if [ -x "/usr/bin/requiredbuilder" ]; then
    /usr/bin/requiredbuilder -z $PKG > $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.dep
    if [ -f $PKG/install/slack-required ]; then
        rm -f $PKG/install/slack-required
    fi
    /usr/bin/requiredbuilder -v -y $PKG
fi

cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.${PKGTYPE:-txz}

# Cleanup if enabled
if [ "$1" = "--cleanup" ]; then
    rm -rf $TMP/$PKGNAM-$VERSION
    rm -rf $PKG
fi

slack-desc for libaal (from slackbuilds.org):

Code:

# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
# You must make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':' except on otherwise blank lines.

      |-----handy-ruler------------------------------------------------------|
libaal: libaal (Library that provides reiser4 application abstraction)
libaal:
libaal: libaal is a library that provides an application abstraction
libaal: mechanism for the reiser4 filesystem.  It includes device
libaal: abstraction, libc independence code, etcetera.
libaal:
libaal: Homepage: http://www.kernel.org/pub/linux/utils/fs/reiser4/libaal/
libaal:
libaal:
libaal:
libaal:

slack-desc for reiser4progs (from slackbuilds.org):

Code:

# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
# You must make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':' except on otherwise blank lines.

            |-----handy-ruler------------------------------------------------------|
reiser4progs: reiser4progs (fsck, mkfs, libraries, and utilities for reiser4)
reiser4progs:
reiser4progs: The reiser4progs package contains the reiser4 utilities, including
reiser4progs: fsck and mkfs, and the library for reiser4 filesystem access.
reiser4progs:
reiser4progs: Homepage: http://www.kernel.org/pub/linux/utils/fs/reiser4/
reiser4progs:
reiser4progs:
reiser4progs:
reiser4progs:
reiser4progs:

Best regards, Ne01eX. :-)

mats_b_tegner 03-10-2018 03:28 AM

Hi Konrad,
Quote:

Originally Posted by kjhambrick (Post 5829152)
Mats --
I was able to build llvm version 6.0.0 by pounding-out the patch line in the llvm.SlackBuild.
I made three attempts, trying different settings for the patch and DBUILD_SHARED_LIBS=ON in the cmake command line ...
I left out the patch AND the -DBUILD_SHARED_LIBS=ON directive on the final attempt which compiled ( diff is below ).
I've not tested it yet but will do so this weekend.
HTH.
-- kjh

This is the new content of llvm.url ( note that I added the .sig files so I could import the gpg key and check the files ):
Code:

http://releases.llvm.org/6.0.0/llvm-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/llvm-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/cfe-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/cfe-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/compiler-rt-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/compiler-rt-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libcxx-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libcxx-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libcxxabi-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libcxxabi-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/libunwind-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/libunwind-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/lld-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/lld-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/lldb-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/lldb-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/openmp-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/openmp-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/polly-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/polly-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/clang-tools-extra-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/clang-tools-extra-6.0.0.src.tar.xz.sig
http://releases.llvm.org/6.0.0/test-suite-6.0.0.src.tar.xz
http://releases.llvm.org/6.0.0/test-suite-6.0.0.src.tar.xz.sig


I have successfully built LLVM/Clang 6.0.0 by simply commenting out the disable PGO patch. I did not however include the libunwind-library in the build since it wasn't included in the LLVM/Clang 5.0.1 SlackBuild. I've only built Vim/GVim using LLVM/Clang 6.0.0 but it seems to work.

Mats

kjhambrick 03-10-2018 04:38 AM

Thanks for the feedback mats_b_tegner !

I didn't notice that I had added the extra libunwind-library rows to the llvm.url file what with all the heads-down copy-n-paste ops I did from the LLVM site into the file :)

It sounds like one doesn't need LLVM's libunwind ( The LLVM Unwind library ) as there are a number of alternatives ?

As you noted, the libunwind-6.0.0.src.tar.xz was not referenced by the version 5.0.1 llvm.SlackBuild so it was not untar'd nor compiled and it is not in the resulting llvm-6.0.0-x86_64-1.txz Package.

I've removed it from my llvm.url file.

Thanks for reporting your success building vim !

As for my testing ... I was going to try the to run the SBo PaleMoon.SlackBuild with clang 6.0.0 and see what shakes out on my Slackware64 -current testing box ...

Thanks again for the head's up !

-- kjh

EDIT: The PaleMoon SBo with clang / clang++ version 6.0.0 fails with the same error as with gcc-7 ( so don't blame LLVM )
Code:

1:41.25 In the directory  /tmp/SBo/pmbuild/dom/battery
 1:41.25 The following command failed to execute properly:
 1:41.25 /usr/bin/clang++ -o BatteryManager.o -c -I../../dist/stl_wrappers -I../../dist/system_wrappers -include /tmp/SBo/Pale-Moon-27.8.1_Release/config/gcc_hidden.h -DOS_POSIX=1 -DOS_LINUX=1 -DMOZILLA_INTERNAL_API -DIMPL_LIBXUL -DMOZ_GLUE_IN_PROGRAM -DAB_CD=en-US -DNO_NSPR_10_SUPPORT -I/tmp/SBo/Pale-Moon-27.8.1_Release/dom/battery -I. -I/tmp/SBo/pmbuild/ipc/ipdl/_ipdlheaders -I/tmp/SBo/Pale-Moon-27.8.1_Release/ipc/chromium/src -I/tmp/SBo/Pale-Moon-27.8.1_Release/ipc/glue -I../../dist/include -I/tmp/SBo/pmbuild/dist/include/nspr -I/tmp/SBo/pmbuild/dist/include/nss -fPIC -Qunused-arguments -DMOZILLA_CLIENT -include ../../mozilla-config.h -MD -MP -MF .deps/BatteryManager.o.pp -Qunused-arguments -Qunused-arguments -Wall -Wempty-body -Woverloaded-virtual -Wsign-compare -Wwrite-strings -Wno-invalid-offsetof -Wno-inline-new-delete -Wno-c++0x-extensions -Wno-unknown-warning-option -Wno-return-type-c-linkage -O2 -fPIC -fopenmp -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe -DNDEBUG -DTRIMMED -O2 -msse2 -mfpmath=sse -fomit-frame-pointer /tmp/SBo/Pale-Moon-27.8.1_Release/dom/battery/BatteryManager.cpp
 1:41.25 gmake[5]: *** [/tmp/SBo/Pale-Moon-27.8.1_Release/config/rules.mk:938: BatteryManager.o] Error 1
 1:41.25 gmake[4]: *** [/tmp/SBo/Pale-Moon-27.8.1_Release/config/recurse.mk:74: dom/battery/target] Error 2
 1:41.25 gmake[4]: *** Waiting for unfinished jobs....
 1:41.25 Unified_cpp_editor_libeditor2.o
 1:52.08 libwidget.a.desc
 2:05.22 libeditor_libeditor.a.desc
 2:08.81 libdb_sqlite3_src.a.desc
 2:08.84 gmake[3]: *** [/tmp/SBo/Pale-Moon-27.8.1_Release/config/recurse.mk:37: compile] Error 2
 2:08.84 gmake[2]: *** [/tmp/SBo/Pale-Moon-27.8.1_Release/config/rules.mk:541: default] Error 2
 2:08.84 gmake[1]: *** [/tmp/SBo/Pale-Moon-27.8.1_Release/client.mk:399: realbuild] Error 2
 2:08.84 gmake: *** [client.mk:171: build] Error 2
 2:08.85 0 compiler warnings present.
PaleMoon.SlackBuild FAILED at Sat Mar 10 05:38:50 CST 2018 ... RetCode = 2

I'll play with some other SBo Packages as time allows and report back ...

gmgf 03-10-2018 04:39 AM

logrotate-3.14.0:

https://github.com/logrotate/logrotate/releases
https://github.com/logrotate/logrota...-3.14.0.tar.xz

TurboBlaze 03-10-2018 08:34 AM

libwnck-3.24.1
https://github.com/GNOME/libwnck

gmgf 03-10-2018 09:03 AM

Quote:

Originally Posted by TurboBlaze (Post 5829339)

This version is for gtk+3, and it is unnecessary in slackware-current, for the moment ;)

MDKDIO 03-10-2018 09:43 AM

Imagemagick 7.0.7-25
https://www.imagemagick.org/download....0.7-25.tar.xz

gmgf 03-10-2018 01:32 PM

distcc-3.3:

https://github.com/distcc/distcc/releases
https://github.com/distcc/distcc/rel...tcc-3.3.tar.gz

mats_b_tegner 03-10-2018 02:59 PM

Quote:

Originally Posted by kjhambrick (Post 5829299)
Thanks for the feedback mats_b_tegner !
I didn't notice that I had added the extra libunwind-library rows to the llvm.url file what with all the heads-down copy-n-paste ops I did from the LLVM site into the file :)
It sounds like one doesn't need LLVM's libunwind ( The LLVM Unwind library ) as there are a number of alternatives ?
As you noted, the libunwind-6.0.0.src.tar.xz was not referenced by the version 5.0.1 llvm.SlackBuild so it was not untar'd nor compiled and it is not in the resulting llvm-6.0.0-x86_64-1.txz Package.
I've removed it from my llvm.url file.

Thanks for reporting your success building vim !
As for my testing ... I was going to try the to run the SBo PaleMoon.SlackBuild with clang 6.0.0 and see what shakes out on my Slackware64 -current testing box ...

Thanks again for the head's up !

I'll play with some other SBo Packages as time allows and report back...
-- kjh

Turns out that the http://www.nongnu.org/libunwind implementation was recently added to -current, so I guess the LLVM implementation isn't strictly needed.

Mats

volkerdi 03-10-2018 03:09 PM

Quote:

Originally Posted by Ne01eX (Post 5828624)
xap/audacious-plugins-3.9-i586-3.txz - Needs rebuild this (libfluidsynth.so.1 missing). In to x86_64 all its ok. :-)

Looks to be correctly linked to libfluidsynth here.

Quote:

Also, it may be interesting: fluidsynth-1.1.9-cmake_oss_fix-rtklinux-1.patch
I think you should see if upstream has any love for this patch.

alex14641 03-11-2018 12:18 PM

bluez 5.49
Change log: http://www.bluez.org/release-of-bluez-5-49/
Source: http://www.kernel.org/pub/linux/blue...ez-5.49.tar.xz

mralk3 03-11-2018 12:39 PM

A refresh of ruby might be good. Slackware-current is running gems 2.6.14. This is also applicable to Slackware 14.2, which runs gems 2.4.5.4.

Patch: rubygems-276-for-ruby24.patch
Further Details: https://www.ruby-lang.org/en/news/20...s-in-rubygems/

Quote:

The following vulnerabilities have been reported.

Prevent path traversal when writing to a symlinked basedir outside of the root.
Fix possible Unsafe Object Deserialization Vulnerability in gem owner.
Strictly interpret octal fields in tar headers.
Raise a security error when there are duplicate files in a package.
Enforce URL validation on spec homepage attribute.
Mitigate XSS vulnerability in homepage attribute when displayed via gem server.
Prevent Path Traversal issue during gem installation.

..snip..

Affected Versions

Ruby 2.2 series: 2.2.9 and earlier
Ruby 2.3 series: 2.3.6 and earlier
Ruby 2.4 series: 2.4.3 and earlier
Ruby 2.5 series: 2.5.0 and earlier
prior to trunk revision 62422

..snip..

Workarounds

RubyGems 2.7.6 or later includes the fix for the vulnerabilities, so upgrade RubyGems to the latest version.

gem update --system


All times are GMT -5. The time now is 09:49 PM.